/*  Project Contenab
    Nelson Software Engineering
    Copyright  1995 by Dan Nelson. All Rights Reserved.

    SUBSYSTEM:    contenab.exe Application
    FILE:         cntnbapp.cpp
    AUTHOR:       Dan Nelson


    OVERVIEW
    ========
    Source file for implementation of ContenabApp (TApplication).      
*/


#include <owl\owlpch.h>
#pragma hdrstop


#include "cntnbapp.h"
#include "cntnbabd.h"						// Definition of about dialog.
#include "c:\dansapps\classes\headers\tcedialg.h"


//{{ContenabApp Implementation}}


//
// Build a response table for all messages/commands handled
// by the application.
//
DEFINE_RESPONSE_TABLE1(ContenabApp, TApplication)
//{{ContenabAppRSP_TBL_BEGIN}}
    EV_COMMAND(CM_HELPABOUT, CmHelpAbout),
//{{ContenabAppRSP_TBL_END}}
END_RESPONSE_TABLE;


//
// FrameWindow must be derived to override Paint for Preview and Print.
//
class SDIDecFrame : public TDecoratedFrame {
public:
    SDIDecFrame (TWindow *parent, const char far *title, TWindow *clientWnd, BOOL trackMenuSelection = FALSE, TModule *module = 0) :
            TDecoratedFrame(parent, title, clientWnd, trackMenuSelection, module)
      {  }
    ~SDIDecFrame ()
      {  }
};


//////////////////////////////////////////////////////////
// ContenabApp
// =====
//
ContenabApp::ContenabApp () : TApplication("TControlEnabler sample")
{

    // Common file file flags and filters for Open/Save As dialogs.  Filename and directory are
    // computed in the member functions CmFileOpen, and CmFileSaveAs.
    FileData.Flags = OFN_FILEMUSTEXIST | OFN_HIDEREADONLY | OFN_OVERWRITEPROMPT;
    FileData.SetFilter("All Files (*.*)|*.*|");

    // INSERT>> Your constructor code here.

}


ContenabApp::~ContenabApp ()
{
    // INSERT>> Your destructor code here.

}


//////////////////////////////////////////////////////////
// ContenabApp
// =====
// Application intialization.
//
class TMyButtonEnabler : public TControlEnabler
{
	public:
		TMyButtonEnabler() : TControlEnabler(IDC_BUTTON) {}
		virtual ~TMyButtonEnabler() {}

	private:
		condition() const
		{
			char buf[10];
			getDialog()->GetDlgItemText(IDC_EDIT, buf, 9);
			return buf[0]!='\x0';
		}
};

void ContenabApp::InitMainWindow ()
{
	Client = new TCEDialog(0, IDD_TEST);
	TYPESAFE_DOWNCAST(Client, TCEDialog)->installEnabler(new TMyButtonEnabler);

    TFrameWindow *frame = new TFrameWindow(0, GetName(), Client, TRUE);

    nCmdShow = nCmdShow != SW_SHOWMINIMIZED ? SW_SHOWNORMAL : nCmdShow;

    //
    // Assign ICON w/ this application.
    //
    frame->SetIcon(this, IDI_SDIAPPLICATION);

    //
    // Menu associated with window and accelerator table associated with table.
    //
    frame->AssignMenu(SDI_MENU);
    
    //
    // Associate with the accelerator table.
    //
    frame->Attr.AccelTable = SDI_MENU;

  
    MainWindow = frame;

    //
    // Windows 3-D controls.
    //
    EnableCtl3d(TRUE);
}


//////////////////////////////////////////////////////////
// ContenabApp
// ===========
// Menu File New command
void ContenabApp::CmFileNew ()
{
}


//////////////////////////////////////////////////////////
// ContenabApp
// ===========
// Menu File Open command
void ContenabApp::CmFileOpen ()
{
    //
    // Display standard Open dialog box to select a file name.
    //
    *FileData.FileName = 0;
    if (Client->CanClose())
        if (TFileOpenDialog(MainWindow, FileData).Execute() == IDOK)
            OpenFile();
}


void ContenabApp::OpenFile (const char *fileName)
{
    if (fileName)
        lstrcpy(FileData.FileName, fileName);

}


//////////////////////////////////////////////////////////
// ContenabApp
// =====
// Menu File Close command
void ContenabApp::CmFileClose ()
{
}


//////////////////////////////////////////////////////////
// ContenabApp
// ===========
// Menu Help About contenab.exe command
void ContenabApp::CmHelpAbout ()
{
    //
    // Show the modal dialog.
    //
    ContenabAboutDlg(MainWindow).Execute();
}


int OwlMain (int , char* [])
{
    ContenabApp     App;
    int             result;

    result = App.Run();

    return result;
}
