#if !defined(__cntnbapp_h)              // Sentry, use file only if it's not already included.
#define __cntnbapp_h

/*  Project Contenab
    Nelson Software Engineering
    Copyright  1995 by Dan Nelson. All Rights Reserved.

    SUBSYSTEM:    contenab.exe Application
    FILE:         cntnbapp.h
    AUTHOR:       Dan Nelson


    OVERVIEW
    ========
    Class definition for ContenabApp (TApplication).      
*/


#include <owl\owlpch.h>
#pragma hdrstop

#include <owl\opensave.h>

#include "cntnbapp.rh"            // Definition of all resources.


//{{TApplication = ContenabApp}}
class ContenabApp : public TApplication {
private:
    TWindow *Client;                                 // Client window for the frame.
    TOpenSaveDialog::TData FileData;                    // Data to control open/saveas standard dialog.

public:
    ContenabApp ();
    virtual ~ContenabApp ();

    void OpenFile (const char *fileName = 0);
//{{ContenabAppVIRTUAL_BEGIN}}
public:
    virtual void InitMainWindow();
//{{ContenabAppVIRTUAL_END}}

//{{ContenabAppRSP_TBL_BEGIN}}
protected:
    void CmFileNew ();
    void CmFileOpen ();
    void CmFileClose ();
    void CmHelpAbout ();
//{{ContenabAppRSP_TBL_END}}
  DECLARE_RESPONSE_TABLE(ContenabApp);
};    //{{ContenabApp}}


#endif                                      // __cntnbapp_h sentry.
