/*  Project Flyby

	Copyright  1995 by Dan Nelson. All Rights Reserved.

	SUBSYSTEM:    flyby.exe Application
	FILE:         flybyapp.cpp
	AUTHOR:


	OVERVIEW
	========
	Source file for implementation of FlybyApp (TApplication).
*/


#include <owl\owlpch.h>
#pragma hdrstop


#include "flybyapp.h"
#include "flybyabd.h"                        // Definition of about dialog.
#include "c:\dansapps\classes\headers\tdcdlgfr.h"
#include "c:\dansapps\classes\headers\enhdialg.h"
#include "c:\dansapps\classes\headers\ctrlhint.h"
#include <owl\controlb.h>
#include <owl\buttonga.h>
#include "flybyapp.rh"

//{{FlybyApp Implementation}}


//
// Build a response table for all messages/commands handled
// by the application.
//
DEFINE_RESPONSE_TABLE1(FlybyApp, TApplication)
//{{FlybyAppRSP_TBL_BEGIN}}
	EV_COMMAND(CM_HELPABOUT, CmHelpAbout),
//{{FlybyAppRSP_TBL_END}}
END_RESPONSE_TABLE;

//////////////////////////////////////////////////////////
// FlybyApp
// =====
//
FlybyApp::FlybyApp () : TApplication("TFlyByHint sample")
{

}


FlybyApp::~FlybyApp ()
{

}


//////////////////////////////////////////////////////////
// FlybyApp
// =====
// Application intialization.
//
void FlybyApp::InitMainWindow ()
{
	TEnhancedDialog* myDialog;
	Client = myDialog = new TEnhancedDialog(0, "IDD_TEST");
	TDecDialogFrame *frame = new TDecDialogFrame(0, GetName(), Client, TRUE);

	//
	// Assign ICON w/ this application.
	//
	frame->SetIcon(this, IDI_SDIAPPLICATION);

	//
	// Menu associated with window and accelerator table associated with table.
	//
	frame->AssignMenu(SDI_MENU);

	//
	// Associate with the accelerator table.
	//
	frame->Attr.AccelTable = SDI_MENU;


	TStatusBar *sb = new TStatusBar(frame, TGadget::Recessed,
									TStatusBar::CapsLock        |
									TStatusBar::NumLock         |
									TStatusBar::ScrollLock      |
									TStatusBar::Overtype);
	frame->Insert(*sb, TDecoratedFrame::Bottom);

	TControlBar* cb = new TControlBar(frame);

	cb->Insert(*(new TButtonGadget(CM_EXIT, CM_EXIT)));

	cb->SetHintMode(TGadgetWindow::EnterHints);

	frame->Insert(*cb, TDecoratedFrame::Top);

	myDialog->installHint(
		new TControlHint(myDialog, IDOK, "This is the Ok button", sb)
			);
	myDialog->installHint(
		new TControlHint(myDialog, IDCANCEL, "This is the Cancel button", sb)
			);
	myDialog->installHint(
		new TControlHint(myDialog, IDC_RADIOBUTTON1, "This is option 1", sb)
			);
	myDialog->installHint(
		new TControlHint(myDialog, IDC_RADIOBUTTON2, "This is option 2", sb)
			);
	myDialog->installHint(
		new TControlHint(myDialog, IDC_RADIOBUTTON3, "This is option 3", sb)
			);
	myDialog->installHint(
		new TControlHint(myDialog, IDC_LISTBOX1, "This is a list box", sb)
			);
	myDialog->installHint(
		new TControlHint(myDialog, IDC_CHECKBOX1, "This is check box 1", sb)
			);
	myDialog->installHint(
		new TControlHint(myDialog, IDC_CHECKBOX2, "This is check box 2", sb)
			);

	MainWindow = frame;

	//
	// Windows 3-D controls.
	//
	EnableCtl3d(TRUE);
}


//////////////////////////////////////////////////////////
// FlybyApp
// ===========
// Menu File New command
void FlybyApp::CmFileNew ()
{
}


//////////////////////////////////////////////////////////
// FlybyApp
// ===========
// Menu File Open command
void FlybyApp::CmFileOpen ()
{
    //
    // Display standard Open dialog box to select a file name.
    //
    *FileData.FileName = 0;
    if (Client->CanClose())
        if (TFileOpenDialog(MainWindow, FileData).Execute() == IDOK)
            OpenFile();
}


void FlybyApp::OpenFile (const char *fileName)
{
    if (fileName)
        lstrcpy(FileData.FileName, fileName);

}


//////////////////////////////////////////////////////////
// FlybyApp
// =====
// Menu File Close command
void FlybyApp::CmFileClose ()
{
}


//////////////////////////////////////////////////////////
// FlybyApp
// ===========
// Menu Help About flyby.exe command
void FlybyApp::CmHelpAbout ()
{
    //
    // Show the modal dialog.
    //
    FlybyAboutDlg(MainWindow).Execute();
}


int OwlMain (int , char* [])
{
    FlybyApp     App;
    int             result;

    result = App.Run();

    return result;
}
