//	Copyright  1995 by Dan Nelson. All Rights Reserved.

// This is the header for TComboBoxHint.  To use TComboBoxHints
// You must construct a THintDialog (or a TEnhancedDialog)
// with the dialog resource containing the combo boxes that you
// wish to have hints for.  Then you use THintDialog's member
// function installHint(TControlHint*) to install a
// TComboBoxHint created with new.  THintDialog deletes it
// automatically for you when it is destructed.  The
// TComboBoxHint is constructed with the resource id of the
// control, the text of the hint, and a pointer to the
// status bar that the hint will be displayed on.  Then the
// hint is automatically put into the status bar when the
// mouse cursor is over the control.  All hints are removed
// from the status bar when the mouse is over the client area
// of the dialog.  Generally you would use TControlHint, but
// in those cases where you need the functionality of TComboBox
// for some other purpose, you'll want to use a TComboBoxHint instead
// of TComboBox because it inherits from TComboBox.

#ifndef __CBXHINT_H
#define __CBXHINT_H

#ifndef __CTRLHINT_H
#include "c:\dansapps\classes\headers\ctrlhint.h"
#endif

#include <owl\control.h>
#include <owl\combobox.h>

class _export TComboBoxHint : public TComboBox, public THint
{
	public:
		TComboBoxHint(TWindow* parent, int resID, WORD textLen,
			const string& hint, TMessageBar* bar, TModule* module = 0) :
			TComboBox(parent, resID, textLen, module),
			THint(hint, bar) {}
		virtual ~TComboBoxHint() {}

	protected:
		void EvMouseMove(UINT, TPoint&);

	DECLARE_RESPONSE_TABLE(TComboBoxHint);
};

#endif