//	Copyright  1995 by Dan Nelson. All Rights Reserved.

// This is the header for TControlHint.  To use TControlHints
// You must construct a THintDialog (or a TEnhancedDialog)
// with the dialog resource containing the controls that you
// wish to have hints for.  Then you use THintDialog's member
// function installHint(TControlHint*) to install a
// TControlHint created with new.  THintDialog deletes it
// automatically for you when it is destructed.  The
// TControlHint is constructed with the resource id of the
// control, the text of the hint, and a pointer to the
// status bar that the hint will be displayed on.  Then the
// hint is automatically put into the status bar when the
// mouse cursor is over the control.  All hints are removed
// from the status bar when the mouse is over the client area
// of the dialog.

#ifndef __CTRLHINT_H
#define __CTRLHINT_H

#ifndef __HINT_H
#include "c:\dansapps\classes\headers\hint.h"
#endif

#include <owl\control.h>

class _export TControlHint : virtual public TControl, public THint
{
	public:
		TControlHint(TWindow* parent, int resID, const string& hint,
			TMessageBar* bar, TModule* module = 0) :
			TControl(parent, resID, module), THint(hint, bar) {}
		virtual ~TControlHint() {}

	protected:
		void EvMouseMove(UINT, TPoint&);

	DECLARE_RESPONSE_TABLE(TControlHint);
};

#endif