//	Copyright  1995 by Dan Nelson. All Rights Reserved.

#ifndef __HINTDLG_H
#define __HINTDLG_H

#include <owl\dialog.h>
#include <classlib\listimp.h>

#ifndef __HINT_H
#include "c:\dansapps\classes\headers\hint.h"
#endif

#ifndef __CHECKS_H
#include <checks.h>
#endif

// This header defines THintDialog for use with TControlHints.  You create
// your TControlHints with new and use the installHint member to install
// them.  Once installed, they are owned by the THintDialog.  It will delete
// them when it is destroyed.  TControlHints are objects that associate
// a control id with a TMessageBar and a string of text.  When installed
// here, the text will automatically go as a hint on the status bar when
// the cursor is over the control.

typedef TIListImp<THint> THintList;
typedef TIListIteratorImp<THint> THintListIterator;

class _export THintDialog : virtual public TDialog
{
	public:
		THintDialog(TWindow* parent, TResId resId, TModule* module = 0) :
			TDialog(parent, resId, module) {}
		~THintDialog();
		void installHint(THint* toInstall)
		{
			PRECONDITION(toInstall!=NULL);
			hintList.Add(toInstall);
		}

	protected:
		void EvMouseMove(UINT, TPoint&);

	private:
		THintList hintList;

	DECLARE_RESPONSE_TABLE(THintDialog);
};

#endif