//	Copyright  1995 by Dan Nelson. All Rights Reserved.

// This is the header for TListBoxHint.  To use TListBoxHints
// You must construct a THintDialog (or a TEnhancedDialog)
// with the dialog resource containing the list boxes that you
// wish to have hints for.  Then you use THintDialog's member
// function installHint(TControlHint*) to install a
// TListBoxHint created with new.  THintDialog deletes it
// automatically for you when it is destructed.  The
// TListBoxHint is constructed with the resource id of the
// control, the text of the hint, and a pointer to the
// status bar that the hint will be displayed on.  Then the
// hint is automatically put into the status bar when the
// mouse cursor is over the control.  All hints are removed
// from the status bar when the mouse is over the client area
// of the dialog.  Generally you would use TControlHint, but
// in those cases where you need the functionality of TListBox
// for some other purpose (i.e. transfer), you'll want to use a
// TListBoxHint in place of TListBox because it inherits from TListBox.

#ifndef __LBXHINT_H
#define __LBXHINT_H

#ifndef __CTRLHINT_H
#include "c:\dansapps\classes\headers\ctrlhint.h"
#endif

#include <owl\control.h>
#include <owl\listbox.h>

class _export TListBoxHint : public TListBox, public THint
{
	public:
		TListBoxHint(TWindow* parent, int resID, const string& hint,
			TMessageBar* bar, TModule* module = 0) :
			TListBox(parent, resID, module),
			THint(hint, bar) {}
		virtual ~TListBoxHint() {}

	protected:
		void EvMouseMove(UINT, TPoint&);

	DECLARE_RESPONSE_TABLE(TListBoxHint);
};

#endif