#if !defined(__TCEDIALG_H)              // Sentry.
#define __TCEDIALG_H

//	Copyright  1995 by Dan Nelson. All Rights Reserved.

#include <owl\owlpch.h>
#include <classlib\listimp.h>
#include <owl\dialog.H>

#include "c:\dansapps\classes\headers\ctrlenab.h" // TControlEnabler header


// TCEDialog implementation.  This is the dialog class for use with
// TControlEnablers.  To use a TControlEnabler, you derive your own enabler
// from it and override the condition() member function to return true in
// cases where the control that you are defining it for should be enabled.
// Then you use TCEDialog::InstallEnabler to install it.  Your enabler object
// should be created with new, and there is no need to delete it.

typedef TIListImp<TControlEnabler> TEnablerList;
typedef TIListIteratorImp<TControlEnabler> TEnablerIterator;

class _export TCEDialog : virtual public TDialog
{
	public:
		TCEDialog (TWindow* parent, TResId resId, TModule* module = 0);
		virtual ~TCEDialog ();
		void installEnabler(TControlEnabler* toInstall);
		void forcePoll() { DoNotify(); }
		virtual BOOL DialogFunction (UINT message, WPARAM wParam,
			LPARAM lParam);

	private:
		void DoNotify();
		TEnablerList* eList;
};


#endif                                      // __tcedialg_h sentry.

