//	Copyright  1995 by Dan Nelson. All Rights Reserved.

// This is the source module for TControlEnabler.  TControlEnablers work
// like TCommandEnablers to conditionally enable controls in a dialog
// automatically whenever the state of the dialog changes.  You install
// them in TCEDialogs using the installEnabler() member function.  In order
// to have useful TControlEnablers you must derive your own enabler classes
// from TControlEnabler and override the virtual condition() function to
// return TRUE in cases where the control should be enabled.  Your condition
// function can use getDialog() to get a pointer to the dialog that the
// TControlEnabler is installed in so the other controls can be queried.

#include <owl\owlpch.h>
#pragma hdrstop

#include "c:\dansapps\classes\headers\ctrlenab.h"
#include "c:\dansapps\classes\headers\tcedialg.h"

void TControlEnabler::poll() const
{
	EnableWindow(theDlg->GetDlgItem(id), condition());
}