#include <owl\owlpch.h>
#pragma hdrstop

#include <owl\gadgetwi.h>
#include "c:\dansapps\classes\headers\tdcdlgfr.h"
#include "c:\dansapps\classes\headers\smrtpntr.h"

//	Copyright  1995 by Dan Nelson. All Rights Reserved.

// This is the source module for TDecDialogFrame.

// This class is useful for when you want a decorated frame
// with a dialog client.  It is basically like a
// TDecoratedFrame, but with wfShrinkToClient set by default.
// Additionally, the window is automatically centered on the screen
// and adjusted so the dialog and all of the decorations are tiled
// nicely.

TDecDialogFrame::TDecDialogFrame (TWindow* parent, const char far* title, TWindow* clientWnd, BOOL trackMenuSelection, TModule* module):
	TDecoratedFrame(parent, title, clientWnd, trackMenuSelection, module)
{
	SetFlag(wfShrinkToClient);
}

TDecDialogFrame::~TDecDialogFrame ()
{
	Destroy();
}

void __AddToSize(TWindow* toAdd, void* pSize)
{
	PRECONDITION(toAdd->IsWindow());
	TGadgetWindow* p = TYPESAFE_DOWNCAST(toAdd, TGadgetWindow);
	if(p)
	{
		if(p->GetDirection()==TGadgetWindow::Horizontal)
		{
			(*((TSize*)pSize)) += TSize(0, p->Attr.H);
		}
		if(p->GetDirection()==TGadgetWindow::Vertical)
		{
			(*((TSize*)pSize)) += TSize(p->Attr.W,0);
		}
	}
}

void TDecDialogFrame::SetupWindow ()
{
	TDecoratedFrame::SetupWindow();

	// Get the size to offset the size of the dialog.

	typedef TSmartPointer<TSize> PTSize;
	typedef TSmartPointer<TRect> PTRect;
	PTSize sizeOffset = new TSize(0, 0);
	ForEach(__AddToSize, sizeOffset);

	// Now adjust this window accordingly.

	PTRect winRect = new TRect;
	CHECK(IsWindow());
	GetWindowRect(winRect);

	// First resize it:
	((TRect*)winRect)->right += ((TSize*)sizeOffset)->cx;
	((TRect*)winRect)->bottom += ((TSize*)sizeOffset)->cy;

	// Now we center it on the screen.

	uint16 sw = GetSystemMetrics(SM_CXSCREEN);
	uint16 sh = GetSystemMetrics(SM_CYSCREEN);
	uint16 w = ((TRect*)winRect)->Width();
	uint16 h = ((TRect*)winRect)->Height();
	uint16 x = ((sw/2)-(w/2));
	uint16 y = ((sh/2)-(h/2));

	// Now we actually put it there.

	MoveWindow(x, y, w, h);

}

